*Program to do state-level analysis on BMB data

clear

cd "D:\USERS\gaheutel\My Documents\Economics\RBCPollution\Empirical\CarbonBMB"

insheet using statewide.csv, comma
*This has the state-year level emissions data from http://cdiac.esd.ornl.gov/trends/emis_mon/emis_mon_co2.html

reshape long y, i(state) j(year)
rename y emis

save statelevel, replace
clear

*Now merge these with the state-level GDP data
insheet using gdpbystate.csv, comma

reshape long gdp, i(state) j(year)
replace state = "DC" if state == "District of Columbia"
sort state year
save stategdplong, replace
clear

use statelevel
merge state year using stategdplong.dta, unique
drop if _merge ~= 3
drop _merge
save statelevel, replace

*Now run state-level regressions
regress emis gdp
xi i.state i.year
regress emis gdp _I*
gen lnemis = ln(emis)
gen lngdp = ln(gdp)
egen statenum = group(state)
regress lnemis lngdp, vce(cluster state) 
outreg2 lngdp using stateregs, replace
regress lnemis lngdp _I*, vce(cluster state) 
outreg2 lngdp using stateregs, append
tsset statenum year
xtregar lnemis lngdp, fe
outreg2 lngdp using stateregs, append

*Regressions on growth rates rather than levels
sort state year
by state: gen emisgrowthrate = (emis[_n]-emis[_n-1])/emis[_n-1]
regress emisgrowthrate gdp
regress emisgrowthrate lngdp, vce(cluster state) 
regress emisgrowthrate lngdp _I*, vce(cluster state) 
xtregar emisgrowthrate lngdp, fe

